\version "2.20.0"

logofile  = "Haydn_Signature.eps"

cover = #(define-scheme-function () ()
  (define scale (ly:output-def-lookup $defaultpaper 'staff-space))
  #{ \bookpart {
    \include "header.ly"
    \header { copyright = ##f }
    \paper {
      page-count = 1
      print-page-number = ##f
      headertext = 
        \markup \column {
          \vspace #(/ 12 scale) \fill-line { \abs-fontsize #32 \fromproperty #'header:composer }
          \vspace #(/  8 scale) \fill-line { \abs-fontsize #40 \fromproperty #'header:title    }
          \vspace #(/  4 scale) \fill-line { \abs-fontsize #28 \fromproperty #'header:key      }
          \vspace #(/ 10 scale) \fill-line { \abs-fontsize #32 \fromproperty #'header:subtitle }
        }

      variant = \markup
                  \lower #(/ 110 scale)
                  \fill-line { \abs-fontsize #16 \fromproperty #'header:variant }
      series  = \markup
                  \lower #(/ 165 scale)
                  \fill-line { \abs-fontsize #24 \fromproperty #'header:series }
      logo    = \markup
                  \lower #(/ 250 scale)
                  \fill-line { \null \epsfile #X #(/ 60 scale) \logofile \null }

      bookTitleMarkup = \markup \overlay { \headertext \variant \series \logo }
    }
    \markup \null
  } #})

pagetwo = #(define-scheme-function () ()
  (define scale (ly:output-def-lookup $defaultpaper 'staff-space))
  #{ \bookpart {
    \include "header.ly"
    \paper {
      page-count = 1
      print-page-number = ##f

      date = #(date->string (current-date) "~e ~B ~Y")

      orchestra = \markup {
        \vspace #(/ 20 scale)
        \override #'(baseline-skip . 5) 
        \abs-fontsize #14
        \fromproperty #'header:instrument
      }

      #(if imslp (begin (set! url " ") (set! fullurl " ")))
      attribution = \markup \center-column {
        \abs-fontsize #10 \fromproperty #'header:copyright
        \vspace #(/ 2 scale)
        \abs-fontsize #10 \with-url \fullurl { \url }
        \vspace #(/ 2 scale)
        \fill-line { \null \tagline \teeny \date }
      }

      bookTitleMarkup = \markup \fill-line { \orchestra }
      oddFooterMarkup = \markup \fill-line { \attribution }
    }
    \markup \null
  } #})

coverpage = #(define-void-function () ()
  (ly:book-add-bookpart! $current-book (cover)))

secondpage = #(define-void-function () ()
  (ly:book-add-bookpart! $current-book (pagetwo)))
